Retrieves all the db_info_data_db_report objects

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

db_info_data_db_report
NameDescriptionTypeAdditional information
id

Primary key

globally unique identifier
db_report_id

Foreign key of the object using his Odyssee Guid Primary Key

globally unique identifier

Optionally required : db_report_id or db_report_reference_back_office must be provided

db_report_reference_back_office

Foreign key of the object using ERP PK when adding/updating db_info_data

string

Optionally required : db_report_id or db_report_reference_back_office must be provided

db_info_field_id

globally unique identifier

Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided

db_info_field_name

string

Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided

db_info_field

db_info_field

Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided

value

The value of this info fields for this targetId. Follow the formating rules (API / HELP / Info Fields)

string

Required

reference_back_office

The Id/Ref of the back office for this object

string

Max length: 50

sys_logical_delete

sys_logical_delete

boolean
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "fd19b44d-9b28-418e-a88e-e905f2728dd4",
  "db_report_id": "74fa9136-4df0-4dca-a11a-89ff7a9f3480",
  "db_report_reference_back_office": "sample string 3",
  "db_info_field_id": "c4f0a9cb-d87f-42e3-a4a4-764dadf87aa0",
  "db_info_field_name": "sample string 5",
  "value": "sample string 6",
  "reference_back_office": "sample string 7",
  "sys_logical_delete": true,
  "modified_dateutc": "2026-06-05T19:39:29.1251275+00:00"
}